function densities = plot_all_distributions(modelname, nparticles, idparam)

% (C) Stéphane Adjemian, 2024

    particles = load_all_distributions(modelname, nparticles, idparam);

    [N,n] = size(particles);

    densities = cell(n,2);

    for i=1:n
        bandwidth = mh_optimal_bandwidth(particles(:,i), N, 0, 'gaussian');
        [x, f] = kernel_density_estimate(particles(:,i), 512, N, bandwidth, 'gaussian');
        densities{i,1} = x;
        densities{i,2} = f;
    end

    plot3(densities{1,1}, ones(512,1), densities{1,2}, '-k')
    hold on
    for i=2:25, plot3(densities{i,1}, i*ones(512,1), densities{i,2}, '-k'), end
    axis tight
    grid on
    hold off
end
